Items
Update Item
Update an item’s properties.
PATCH
/
v1
/
items
/
{id}
curl -X PATCH https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"status": "archive", "is_favorite": true}'
response = requests.patch(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"status": "archive", "is_favorite": True}
)
item = response.json()
{
"object": "item",
"id": "itm_r9f3a",
"title": "How to Do Great Work",
"url": "https://paulgraham.com/greatwork.html",
"status": "archive",
"is_favorite": true,
"reading_progress": 0.75,
"updated_at": "2026-03-30T20:00:00Z"
}
Path Parameters
string
required
The item ID. Example:
itm_r9f3a.Body Parameters
All fields are optional. Only include the fields you want to change.string
Set to
queue or archive. Inbox items can be moved to queue or archive, but items cannot be moved back to inbox.boolean
Set to
true to favorite, false to unfavorite.number
Reading progress as a float from
0.0 to 1.0.Response
Returns the updated item.curl -X PATCH https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"status": "archive", "is_favorite": true}'
response = requests.patch(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"status": "archive", "is_favorite": True}
)
item = response.json()
{
"object": "item",
"id": "itm_r9f3a",
"title": "How to Do Great Work",
"url": "https://paulgraham.com/greatwork.html",
"status": "archive",
"is_favorite": true,
"reading_progress": 0.75,
"updated_at": "2026-03-30T20:00:00Z"
}
curl -X PATCH https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"status": "archive", "is_favorite": true}'
response = requests.patch(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
},
json={"status": "archive", "is_favorite": True}
)
item = response.json()
{
"object": "item",
"id": "itm_r9f3a",
"title": "How to Do Great Work",
"url": "https://paulgraham.com/greatwork.html",
"status": "archive",
"is_favorite": true,
"reading_progress": 0.75,
"updated_at": "2026-03-30T20:00:00Z"
}